
#include <libsaria/audio.h>
#include "audio.h"

static double cur_volume;

namespace libsaria
{

	void audio::set_volume(double volume)
	{
		GValue value = { 0, };
		g_value_init(&value, G_TYPE_DOUBLE);
		g_value_set_double(&value, volume);

		g_object_set_property(G_OBJECT(get_player()), "volume", &value);
		cur_volume = volume;
	}

	double audio::get_volume()
	{
		return cur_volume;
	}

};
